[Unit]
Description=Bind mount volatile /etc/dibbler
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/tmp /etc
ConditionPathIsReadWrite=/tmp
ConditionPathExists=/etc/dibbler
ConditionPathIsReadWrite=!/etc/dibbler

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /tmp/dibbler /etc/dibbler
ExecStop=/bin/umount /etc/dibbler

[Install]
WantedBy=local-fs.target
